org.apache.commons.ssl

## Class ComboInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.commons.ssl.ComboInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class ComboInputStream
    extends java.io.InputStream

Since:
  22-Feb-2007
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Field Summary

Fields
`private java.io.InputStream` `head`
`private boolean` `headDone`
`private java.io.InputStream` `tail`

### Constructor Summary

Constructors
Constructor and Description
`ComboInputStream(java.io.InputStream head, java.io.InputStream tail)`

### Method Summary

Methods
`int` `available()`
`void` `close()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### headDone

    private boolean headDone

#### head

    private java.io.InputStream head

#### tail

    private java.io.InputStream tail

### Constructor Detail

#### ComboInputStream

    public ComboInputStream(java.io.InputStream head,
                    java.io.InputStream tail)

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`